org.apache.hadoop.fs

## Interface CanUnbuffer

- All Known Implementing Classes:
    FSDataInputStream, HdfsDataInputStream

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface CanUnbuffer

  FSDataInputStreams implement this interface to indicate that they can clear their buffers on request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `unbuffer()` Reduce the buffering.

- - ### Method Detail

    - #### unbuffer

          void unbuffer()

      Reduce the buffering. This will also free sockets and file descriptors held by the stream, if possible.

Copyright © 2022 Apache Software Foundation. All rights reserved.